## org.codehaus.groovy.grails.test.junit3
Class JUnit3GrailsTestTypeMode

    java.lang.Object
      org.codehaus.groovy.grails.test.junit3.JUnit3GrailsTestTypeMode

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class JUnit3GrailsTestTypeMode

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`JUnit3GrailsTestTypeMode()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`boolean` `getAutowire()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`boolean` `getWrapInRequestEnvironment()`
`boolean` `getWrapInTransaction()`
`Object` `invokeMethod(String method, Object arguments)`
`boolean` `isAutowire()`
`boolean` `isWrapInRequestEnvironment()`
`boolean` `isWrapInTransaction()`
`void` `setAutowire(boolean value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`
`void` `setWrapInRequestEnvironment(boolean value)`
`void` `setWrapInTransaction(boolean value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnit3GrailsTestTypeMode

    public JUnit3GrailsTestTypeMode()

Method Detail

### getAutowire

    public boolean getAutowire()

### isAutowire

    public boolean isAutowire()

### setAutowire

    public void setAutowire(boolean value)

### getWrapInRequestEnvironment

    public boolean getWrapInRequestEnvironment()

### isWrapInRequestEnvironment

    public boolean isWrapInRequestEnvironment()

### setWrapInRequestEnvironment

    public void setWrapInRequestEnvironment(boolean value)

### getWrapInTransaction

    public boolean getWrapInTransaction()

### isWrapInTransaction

    public boolean isWrapInTransaction()

### setWrapInTransaction

    public void setWrapInTransaction(boolean value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project